Get file
- GET
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /files
- /contents
- /:path
Fetch the details and the content of a single file from the pipeline filesystem by passing its path in the request URL.
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/files/contents/:path" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/123/files/contents/app/docs/report.txt",
"html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/123/browse/content/app%2Fdocs%2Freport.txt",
"content_type": "FILE",
"encoding": "base64",
"size": 40,
"name": "report.txt",
"path": "app/docs/report.txt",
"content": "Zmlyc3QgbGluZQpsaW5lIHdpdGggcGF0dGVybiBZCmxhc3QgbGluZQ=="
}STATUS
200 OK